<template>
  <div>
    <form>
      <h1>Вход администратора</h1>
      <input v-model="username" placeholder="Логин" />
      <br />
      <input v-model="password" placeholder="Пароль" type="password" />
      <br />
      <div v-if="message">
        <span style="color: red">
          {{ message }}
        </span>
      </div>
      <button @click="onLogin">Вход</button>
    </form>
  </div>
</template>

<script>
import axios from "axios";

export default {
  name: "Auth",
  data() {
    return {
      username: null,
      password: null,
      message: null,
      url: String(process.env.VUE_APP_API_URL),
    };
  },
  methods: {
    async onLogin(e) {
      e.preventDefault();
      if (!this.username || !this.password) {
        this.message = "Введите имя пользователя и пароль";
        return;
      }
      const data = "username=" + this.username + "&password=" + this.password;
      const res = await axios.post(this.url + "login", data).catch(r => r);
      if (res.status === 200) {
        this.message = "Вход выполнен";
      } else {
        this.message = "Ошибка входа";
      }
    },
  },
};
</script>

<style scoped>
button,
input {
  border-radius: 5px;
  width: 300px;
  margin: 10px;
  padding: 8px;
  box-sizing: border-box;
}

button {
  background: lightgreen;
  color: black;
}
</style>
